module Paths_nist_beacon (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
catchIO = Exception.catch

version :: Version
version = Version [0,1,0,0] []
bindir, libdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/bryan/Projects/haskell-nist-beacon/.stack-work/install/x86_64-linux/lts-3.4/7.10.2/bin"
libdir     = "/home/bryan/Projects/haskell-nist-beacon/.stack-work/install/x86_64-linux/lts-3.4/7.10.2/lib/x86_64-linux-ghc-7.10.2/nist-beacon-0.1.0.0-A8rjlC94OB4KxToh2tBFSs"
datadir    = "/home/bryan/Projects/haskell-nist-beacon/.stack-work/install/x86_64-linux/lts-3.4/7.10.2/share/x86_64-linux-ghc-7.10.2/nist-beacon-0.1.0.0"
libexecdir = "/home/bryan/Projects/haskell-nist-beacon/.stack-work/install/x86_64-linux/lts-3.4/7.10.2/libexec"
sysconfdir = "/home/bryan/Projects/haskell-nist-beacon/.stack-work/install/x86_64-linux/lts-3.4/7.10.2/etc"

getBinDir, getLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "nist_beacon_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "nist_beacon_libdir") (\_ -> return libdir)
getDataDir = catchIO (getEnv "nist_beacon_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "nist_beacon_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "nist_beacon_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
